> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cookiechimp.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List AI actions

> Audit log of all actions performed by the AI



## OpenAPI

````yaml get /ai-actions
openapi: 3.1.0
info:
  title: CookieChimp API
  description: API for CookieChimp.com
  version: 1.0.1
servers:
  - url: https://cookiechimp.com/api/v1
security:
  - authorization: []
paths:
  /ai-actions:
    get:
      tags:
        - AI Actions
      summary: List AI actions
      description: Audit log of all actions performed by the AI
      operationId: listAIActions
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/sort'
        - $ref: '#/components/parameters/order'
        - name: cookie_id
          in: query
          description: ID of the cookie to filter by
          required: false
          schema:
            type: string
        - name: type
          in: query
          description: Type of the AI action to filter by
          required: false
          schema:
            type: string
            enum:
              - autofill
              - auto_categorisation
              - auto_approved
      responses:
        '200':
          description: List of AI actions
          content:
            application/json:
              schema:
                type: object
                properties:
                  pagination:
                    $ref: '#/components/schemas/AIActionPagination'
                    type: object
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AIAction'
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    limit:
      name: limit
      in: query
      description: Number of resources to return
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 20
    offset:
      name: offset
      in: query
      description: Number of resources to skip
      required: false
      schema:
        type: integer
        minimum: 0
        default: 0
    sort:
      name: sort
      in: query
      description: Field to sort by
      required: false
      schema:
        type: string
    order:
      name: order
      in: query
      description: Sort order
      required: false
      schema:
        type: string
        enum:
          - asc
          - desc
  schemas:
    AIActionPagination:
      allOf:
        - $ref: '#/components/schemas/BasePagination'
      example:
        prev_url: /api/v1/ai-actions?page=
        next_url: /api/v1/ai-actions?page=2
        count: 4
        page: 1
        prev: null
        next: 2
    AIAction:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the AI action
        cookie_id:
          type: string
          description: ID of the cookie that the AI action is associated with
        type:
          type: string
          enum:
            - autofill
            - auto_categorisation
            - auto_approved
        metadata:
          type: object
          additionalProperties: true
      example:
        cookie_id: example_uuid
        type: autofill
        metadata:
          description: Tracks user activities.
          company: Example Company
          domain: example.com
          duration: Session
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
      example:
        error:
          code: 400
          message: Invalid request
    BasePagination:
      type: object
      properties:
        prev_url:
          type: string
          description: Path to get previous page
        next_url:
          type: string
          description: Path to get next page
        count:
          type: integer
          description: Total number of pages
        page:
          type: integer
          description: Current page
        prev:
          type: integer
          description: Previous page number
        next:
          type: integer
          description: Next page number
  securitySchemes:
    authorization:
      type: http
      scheme: bearer
      description: API token obtained from the login endpoint or the dashboard

````